/*
Slurm Rest API

API to access and control Slurm.

API version: 0.0.37
Contact: sales@schedmd.com
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package openapi

import (
	"encoding/json"
)

// checks if the V0037ReservationPurgeCompleted type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &V0037ReservationPurgeCompleted{}

// V0037ReservationPurgeCompleted If PURGE_COMP flag is set the amount of seconds this reservation will sit idle until it is revoked
type V0037ReservationPurgeCompleted struct {
	// amount of seconds this reservation will sit idle until it is revoked
	Time *int32 `json:"time,omitempty"`
}

// NewV0037ReservationPurgeCompleted instantiates a new V0037ReservationPurgeCompleted object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewV0037ReservationPurgeCompleted() *V0037ReservationPurgeCompleted {
	this := V0037ReservationPurgeCompleted{}
	return &this
}

// NewV0037ReservationPurgeCompletedWithDefaults instantiates a new V0037ReservationPurgeCompleted object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewV0037ReservationPurgeCompletedWithDefaults() *V0037ReservationPurgeCompleted {
	this := V0037ReservationPurgeCompleted{}
	return &this
}

// GetTime returns the Time field value if set, zero value otherwise.
func (o *V0037ReservationPurgeCompleted) GetTime() int32 {
	if o == nil || IsNil(o.Time) {
		var ret int32
		return ret
	}
	return *o.Time
}

// GetTimeOk returns a tuple with the Time field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *V0037ReservationPurgeCompleted) GetTimeOk() (*int32, bool) {
	if o == nil || IsNil(o.Time) {
		return nil, false
	}
	return o.Time, true
}

// HasTime returns a boolean if a field has been set.
func (o *V0037ReservationPurgeCompleted) HasTime() bool {
	if o != nil && !IsNil(o.Time) {
		return true
	}

	return false
}

// SetTime gets a reference to the given int32 and assigns it to the Time field.
func (o *V0037ReservationPurgeCompleted) SetTime(v int32) {
	o.Time = &v
}

func (o V0037ReservationPurgeCompleted) MarshalJSON() ([]byte, error) {
	toSerialize,err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o V0037ReservationPurgeCompleted) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	if !IsNil(o.Time) {
		toSerialize["time"] = o.Time
	}
	return toSerialize, nil
}

type NullableV0037ReservationPurgeCompleted struct {
	value *V0037ReservationPurgeCompleted
	isSet bool
}

func (v NullableV0037ReservationPurgeCompleted) Get() *V0037ReservationPurgeCompleted {
	return v.value
}

func (v *NullableV0037ReservationPurgeCompleted) Set(val *V0037ReservationPurgeCompleted) {
	v.value = val
	v.isSet = true
}

func (v NullableV0037ReservationPurgeCompleted) IsSet() bool {
	return v.isSet
}

func (v *NullableV0037ReservationPurgeCompleted) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableV0037ReservationPurgeCompleted(val *V0037ReservationPurgeCompleted) *NullableV0037ReservationPurgeCompleted {
	return &NullableV0037ReservationPurgeCompleted{value: val, isSet: true}
}

func (v NullableV0037ReservationPurgeCompleted) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableV0037ReservationPurgeCompleted) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


